Eventum Logo

Eventum

RepositoriesNameRefresh

Refresh Catalog

Fetch the repository with specified name and read its catalog anew.

POST
/repositories/{name}/refresh

Path Parameters

name*Name

Name of the connected repository

Length1 <= length

Response Body

application/json

application/json

curl -X POST "https://loading/api/repositories/string/refresh"
{
  "revision": "string",
  "refreshed_at": "2019-08-24T14:15:22Z",
  "committed_at": "2019-08-24T14:15:22Z",
  "author": "string",
  "entries": [
    {
      "name": "string",
      "path": "string",
      "title": "string",
      "summary": "string",
      "file_count": 0,
      "size": 0,
      "installed_as": [
        {
          "project": "string",
          "revision": "string",
          "installed_at": "2019-08-24T14:15:22Z",
          "outdated": true
        }
      ]
    }
  ]
}
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
Empty
Empty
Empty